> For the complete documentation index, see [llms.txt](https://docs.ak4y.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ak4y.com/scripts/ak4y-dailywheel/config.md).

# Config

{% tabs %}
{% tab title="ESX" %}

````lua
```lua
AK4Y = {}

AK4Y.Framework = "newEsx" -- esx / newEsx | newEsx = export system | esx = triggerevent system
AK4Y.Mysql = "oxmysql" -- Check fxmanifest.lua when you change it! | ghmattimysql / oxmysql / mysql-async

AK4Y.SpinCost = 2 -- CR
AK4Y.SpinPeriod = 24 -- HOURS 
AK4Y.TebexPageLink = "https://ak4y.tebex.io/category/qb-scripts/"

AK4Y.DefaultGarage = "pillboxgarage" -- purchased vehicles will be sent to this garage

AK4Y.CommandUse = true
AK4Y.OpenCommandMenu = "openMenu"

AK4Y.SpawnOpenMenu = true -- SHOULD THE MENU OPEN AUTOMATICALLY WHEN THE CHARACTER SPAWNS?

-------

-- OPEN MENU EVENT :  '    ak4y-dailyWheel:openMenu    ' (client side event) 
-- TriggerEvent('ak4y-dailyWheel:openMenu')

-------

--------------------------------------------------------------------------

-- MAX 8 ITEM IN TABLE
-- MAX 8 ITEM IN TABLE
-- MAX 8 ITEM IN TABLE

-- items in the table should have a chance total of 100 !! IMPORTANT !! IMPORTANT !! IMPORTANT !!
-- items in the table should have a chance total of 100 !! IMPORTANT !! IMPORTANT !! IMPORTANT !!
-- items in the table should have a chance total of 100 !! IMPORTANT !! IMPORTANT !! IMPORTANT !!

--- GiveItemTypes: "item" , "weapon", "vehicle", "money"
AK4Y.WheelItems = {
    { itemName = "armor", label = "Armor", chance = 20, itemCount = 1, giveItemType = "item", image = "./img/itemImages/armor.png" },
    { itemName = "money", label = "$10.000", chance = 10, itemCount = 10000, giveItemType = "money", image = "./img/itemImages/money.png" },
    { itemName = "weapon_snspistol", label = "PISTOL AMMO", chance = 5, itemCount = 1, giveItemType = "weapon", image = "./img/itemImages/weapon_snspistol.png" },
    { itemName = "bandage", label = "Bandage", chance = 10, itemCount = 1, giveItemType = "item", image = "./img/itemImages/bandage.png" },
    { itemName = "beer", label = "Beer", chance = 20, itemCount = 1, giveItemType = "item", image = "./img/itemImages/beer.png" },
    { itemName = "joint", label = "Joint", chance = 10, itemCount = 1, giveItemType = "item", image = "./img/itemImages/joint.png" },
    { itemName = "iphone", label = "iPhone", chance = 20, itemCount = 1, giveItemType = "item", image = "./img/itemImages/iphone.png" },
    { itemName = "zentorno", label = "Zentorno", chance = 5, itemCount = 1, giveItemType = "vehicle", image = "./img/itemImages/zentorno.png" },
}

---------------------------------------------------------------------------

AK4Y.Translate = {
    title1 = "AK4Y",
    title2 = "ROLEPLAY",
    lwTxt = "Lucky Wheel",
    ttlDesc = "Lorem ipsum dolor sit amet consectetur. Quam posuere sapien egestas varius elit tortor. Dolor feugiat et sapien.",
    spin = "SPIN",
    dlySpin = "Daily Spin",
    gtSpin = "GET SPIN", 
    redeemCode = "REDEEM CODE",
    enterCode = "ENTER CODE",
    ecButton = "Enter Code",
    noRedeemCd = "No redeem code?",
    byCodeButton = "BUY REDEEM CODE",
    infoTitle = "WARNING!",
    infoWrongCodeDesc = "The code is wrong!",
    infoYouDontHaveCoin = "You dont have enought coin!",
}


```
````

{% endtab %}

{% tab title="QBCore" %}

````lua
```lua
AK4Y = {}

AK4Y.Framework = "qb" -- qb / oldqb | qb = export system | oldqb = triggerevent system
AK4Y.Mysql = "oxmysql" -- Check fxmanifest.lua when you change it! | ghmattimysql / oxmysql / mysql-async

AK4Y.SpinCost = 2 -- CR
AK4Y.SpinPeriod = 24 -- HOURS 
AK4Y.TebexPageLink = "https://ak4y.tebex.io/package/5952791/"

AK4Y.DefaultGarage = "pillboxgarage" -- purchased vehicles will be sent to this garage

AK4Y.CommandUse = true
AK4Y.OpenCommandMenu = "openMenu"

AK4Y.SpawnOpenMenu = true -- SHOULD THE MENU OPEN AUTOMATICALLY WHEN THE CHARACTER SPAWNS?

-------

-- OPEN MENU EVENT :  '    ak4y-dailyWheel:openMenu    ' (client side event) 
-- TriggerEvent('ak4y-dailyWheel:openMenu')

-------

--------------------------------------------------------------------------

-- MAX 8 ITEM IN TABLE
-- MAX 8 ITEM IN TABLE
-- MAX 8 ITEM IN TABLE

-- items in the table should have a chance total of 100 !! IMPORTANT !! IMPORTANT !! IMPORTANT !!
-- items in the table should have a chance total of 100 !! IMPORTANT !! IMPORTANT !! IMPORTANT !!
-- items in the table should have a chance total of 100 !! IMPORTANT !! IMPORTANT !! IMPORTANT !!

--- GiveItemTypes: "item" , "weapon", "vehicle", "money"
AK4Y.WheelItems = {
    { itemName = "armor", label = "Armor", chance = 20, itemCount = 1, giveItemType = "item", image = "./img/itemImages/armor.png" },
    { itemName = "money", label = "$10.000", chance = 10, itemCount = 10000, giveItemType = "money", image = "./img/itemImages/money.png" },
    { itemName = "weapon_snspistol", label = "PISTOL AMMO", chance = 5, itemCount = 1, giveItemType = "weapon", image = "./img/itemImages/weapon_snspistol.png" },
    { itemName = "bandage", label = "Bandage", chance = 10, itemCount = 1, giveItemType = "item", image = "./img/itemImages/bandage.png" },
    { itemName = "beer", label = "Beer", chance = 20, itemCount = 1, giveItemType = "item", image = "./img/itemImages/beer.png" },
    { itemName = "joint", label = "Joint", chance = 10, itemCount = 1, giveItemType = "item", image = "./img/itemImages/joint.png" },
    { itemName = "iphone", label = "iPhone", chance = 20, itemCount = 1, giveItemType = "item", image = "./img/itemImages/iphone.png" },
    { itemName = "zentorno", label = "Zentorno", chance = 5, itemCount = 1, giveItemType = "vehicle", image = "./img/itemImages/zentorno.png" },
}

---------------------------------------------------------------------------

AK4Y.Translate = {
    title1 = "AK4Y",
    title2 = "ROLEPLAY",
    lwTxt = "Lucky Wheel",
    ttlDesc = "Lorem ipsum dolor sit amet consectetur. Quam posuere sapien egestas varius elit tortor. Dolor feugiat et sapien.",
    spin = "SPIN",
    dlySpin = "Daily Spin",
    gtSpin = "GET SPIN", 
    redeemCode = "REDEEM CODE",
    enterCode = "ENTER CODE",
    ecButton = "Enter Code",
    noRedeemCd = "No redeem code?",
    byCodeButton = "BUY REDEEM CODE",
    infoTitle = "WARNING!",
    infoWrongCodeDesc = "The code is wrong!",
    infoYouDontHaveCoin = "You dont have enought coin!",
}


```
````

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ak4y.com/scripts/ak4y-dailywheel/config.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
